/*
 * Name:     mx_osdef.h
 *
 * Purpose:  Header file for operating system dependent definitions.
 *
 * Author:   William Lavender
 *
 *--------------------------------------------------------------------------
 *
 * Copyright 1999-2003 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

#ifndef _MX_OSDEF_H_
#define _MX_OSDEF_H_

#if defined(OS_LINUX) || defined(OS_AIX) || defined(OS_SOLARIS) \
 || defined(OS_SUNOS4) || defined(OS_IRIX) || defined(OS_HPUX) \
 || defined(OS_MACOSX) || defined(OS_FREEBSD) || defined(OS_QNX)

#define OS_UNIX
#endif

#if defined(OS_DOS_EXT_WATCOM) || defined(OS_DJGPP)

#define OS_MSDOS
#endif

/* ==== Operating system dependent parameters. ==== */

#ifdef OS_MSDOS
#  define USE_GETOPT			1

#  ifdef OS_DOS_EXT_WATCOM
#    define USE_FD_SET			0
#    define USE_TCPIP			0
#  elif OS_DJGPP
#    define USE_FD_SET			1
#    define USE_TCPIP			1
#  else
#    define USE_FD_SET			0
#    define USE_TCPIP			0
#  endif

#endif /* OS_MSDOS */

#if defined(OS_UNIX) || defined(OS_WIN32) || defined(OS_CYGWIN) \
  || defined(OS_RTEMS) || defined(OS_VMS)

#  define USE_FD_SET			1
#  define USE_GETOPT			1
#  define USE_TCPIP			1

#endif /* OS_UNIX */

#if defined(OS_RTEMS)
#  define USE_MAIN_ROUTINE		0
#else
#  define USE_MAIN_ROUTINE		1
#endif

#endif /* _MX_OSDEF_H_ */

