/*
 * Name:    mrtems.c
 *
 * Purpose: RTEMS startup routines for "motor".
 *
 * Author:  William Lavender
 *
 *--------------------------------------------------------------------------
 *
 * Copyright 2003 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

#if defined( OS_RTEMS )

#include "os_rtems_startup.h"
#include "motor.h"

rtems_task
Init( rtems_task_argument ignored )
{
	int argc;
	char *argv[80] = { "motor.exe",
		"-F", "/TFTP/" MX_RTEMS_TFTP_HOST_NAME "/opt/mx/etc/motor.dat",
		"-S", "/TFTP/" MX_RTEMS_TFTP_HOST_NAME "/opt/mx/etc/scan.dat" };

	argc = sizeof(argv) / sizeof(argv[0]);

	rtems_bsdnet_initialize_network();
	rtems_bsdnet_initialize_tftp_filesystem();

	motor_main( argc, argv );

	exit( 0 );
}

#endif /* OS_RTEMS */

