/*
 * Name:    ms_rtems.c
 *
 * Purpose: RTEMS startup routines for "mxserver".
 *
 * Author:  William Lavender
 *
 *--------------------------------------------------------------------------
 *
 * Copyright 2003 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

#if defined( OS_RTEMS )

#include "os_rtems_startup.h"
#include "mx_util.h"
#include "mx_record.h"
#include "mx_socket.h"
#include "ms_server.h"
#include "ms_mxserver.h"

rtems_task
Init( rtems_task_argument ignored )
{
	int argc;
	char *argv[80] = { "motor.exe",
		"-F", "/TFTP/" MX_RTEMS_TFTP_HOST_NAME "/opt/mx/etc/motor.dat",
		"-S", "/TFTP/" MX_RTEMS_TFTP_HOST_NAME "/opt/mx/etc/scan.dat" };

	fprintf(stderr, "Init() started.\n");

	argc = sizeof(argv) / sizeof(argv[0]);

	fprintf(stderr, "Initializing network.\n");

	rtems_bsdnet_initialize_network();

	fprintf(stderr, "Initializing TFTP.\n");

	rtems_bsdnet_initialize_tftp_filesystem();

	fprintf(stderr, "Starting MX server.\n" );

	mxserver_main( argc, argv );

	exit( 0 );
}

#endif /* OS_RTEMS */

